package fr.inria.phoenix.scenario.pallettracker.impl.controller;

import java.util.ArrayList;

import fr.inria.diagen.core.ServiceConfiguration;
import fr.inria.phoenix.diasuite.framework.context.alert.AlertValue;
import fr.inria.phoenix.diasuite.framework.controller.message.AbstractMessage;
import fr.inria.phoenix.diasuite.framework.datatype.contact.Contact;
import fr.inria.phoenix.diasuite.framework.datatype.file.File;

public class Mesasge extends AbstractMessage {

	public Mesasge(ServiceConfiguration serviceConfiguration) {
		super(serviceConfiguration);
	}

	@Override
	protected void onAlert(AlertValue alert, DiscoverForAlert discover) {
		Contact contact = new Contact();
		discover.messengers()
				.anyOne()
				.sendMessage(contact, "Alert", alert.value(),
						new ArrayList<File>());
	}

}
