package fr.inria.phoenix.scenario.pallettracker.impl.controller;

import fr.inria.diagen.core.ServiceConfiguration;
import fr.inria.phoenix.diasuite.framework.context.event.EventValue;
import fr.inria.phoenix.diasuite.framework.controller.timercontroller.AbstractTimerController;

public class TimeController extends AbstractTimerController {

	public TimeController(ServiceConfiguration serviceConfiguration) {
		super(serviceConfiguration);
	}

	@Override
	protected void onEvent(EventValue event, DiscoverForEvent discover) {
		discover.timers()
				.anyOne()
				.periodicSchedule(event.value(), 0,
						event.indices().periodicity() * 60000);
	}

}
