package fr.inria.phoenix.diasuite.framework.datatype.palletstate;

import java.io.Serializable;

/**
 * <pre>
 * structure PalletState {
 * 	position as GPSCoordinates;
 * 	temperature as Integer;
 * 	timestamp as String;
 * }
 * </pre>
 */
public class PalletState implements Serializable {
    private static final long serialVersionUID = 0;

    // Code for field position
    private fr.inria.phoenix.diasuite.framework.datatype.gpscoordinates.GPSCoordinates position;
    
    /**
     * Returns the value of the position field.
     * 
     * <pre>
     * position as GPSCoordinates
     * </pre>
     * @return the value of position
     */
    public fr.inria.phoenix.diasuite.framework.datatype.gpscoordinates.GPSCoordinates getPosition() {
        return position;
    }
    
    /**
     * Set the value of the position field.
     * 
     * <pre>
     * position as GPSCoordinates
     * </pre>
     * @param position the new value of position
     */
    public void setPosition(fr.inria.phoenix.diasuite.framework.datatype.gpscoordinates.GPSCoordinates position) {
        this.position = position;
    }
    // End of code for field position

    // Code for field temperature
    private java.lang.Integer temperature;
    
    /**
     * Returns the value of the temperature field.
     * 
     * <pre>
     * temperature as Integer
     * </pre>
     * @return the value of temperature
     */
    public java.lang.Integer getTemperature() {
        return temperature;
    }
    
    /**
     * Set the value of the temperature field.
     * 
     * <pre>
     * temperature as Integer
     * </pre>
     * @param temperature the new value of temperature
     */
    public void setTemperature(java.lang.Integer temperature) {
        this.temperature = temperature;
    }
    // End of code for field temperature

    // Code for field timestamp
    private java.lang.String timestamp;
    
    /**
     * Returns the value of the timestamp field.
     * 
     * <pre>
     * timestamp as String
     * </pre>
     * @return the value of timestamp
     */
    public java.lang.String getTimestamp() {
        return timestamp;
    }
    
    /**
     * Set the value of the timestamp field.
     * 
     * <pre>
     * timestamp as String
     * </pre>
     * @param timestamp the new value of timestamp
     */
    public void setTimestamp(java.lang.String timestamp) {
        this.timestamp = timestamp;
    }
    // End of code for field timestamp

    public PalletState() {
    }

    public PalletState(fr.inria.phoenix.diasuite.framework.datatype.gpscoordinates.GPSCoordinates position,
            java.lang.Integer temperature,
            java.lang.String timestamp) {
        this.position = position;
        this.temperature = temperature;
        this.timestamp = timestamp;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((position == null) ? 0 : position.hashCode());
        result = prime * result + ((temperature == null) ? 0 : temperature.hashCode());
        result = prime * result + ((timestamp == null) ? 0 : timestamp.hashCode());
        return result;
    }
    
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        PalletState other = (PalletState) obj;
        if (position == null) {
            if (other.position != null)
                return false;
        } else if (!position.equals(other.position))
            return false;
        if (temperature == null) {
            if (other.temperature != null)
                return false;
        } else if (!temperature.equals(other.temperature))
            return false;
        if (timestamp == null) {
            if (other.timestamp != null)
                return false;
        } else if (!timestamp.equals(other.timestamp))
            return false;
        return true;
    }

    @Override
    public String toString() {
        return "PalletState [" + 
            "position=" + position +", " + 
            "temperature=" + temperature +", " + 
            "timestamp=" + timestamp +
        "]";
    }
}
